Method: projects.locations.instances.users.patch

Updates a User's displayName.

Roles change with users.enableRole and users.disableRole, and a signer's Team with users.updateTeamAssignment. principal and authorizationKey cannot be updated; to change a User's identity, disable the User and create a new one.

HTTP request

PATCH https://mpc.googleapis.com/v1beta/{user.name=projects/*/locations/*/instances/*/users/*}

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
user.name

string

Identifier. The resource name of the User. Format: projects/{project}/locations/{location}/instances/{instance}/users/{user} It takes the form projects/{project}/locations/{location}/instances/{instance}/users/{user}.

Query parameters

Parameters
updateMask

string (FieldMask format)

Optional. The fields to update. The only allowed path is displayName; any other path fails with INVALID_ARGUMENT. If omitted, displayName is updated if it is set in user.

This is a comma-separated list of fully qualified names of fields. Example: "user.displayName,photo".

Request body

The request body contains an instance of User.

Response body

If successful, the response body contains an instance of User.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/cloud-platform

For more information, see the Authentication Overview.